import { IProgress, IProgressStep } from "../../../../platform/progress/common/progress.js";
import { ISearchTreeMatch, ISearchTreeFileMatch, FileMatchOrMatch } from "@codingame/monaco-vscode-85f7fb0f-70f5-5a5e-831b-15c743a8bd11-common/vscode/vs/workbench/contrib/search/browser/searchTreeModel/searchTreeCommon";
export declare const IReplaceService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<IReplaceService>;
export interface IReplaceService {
    readonly _serviceBrand: undefined;
    replace(match: ISearchTreeMatch): Promise<any>;
    replace(files: ISearchTreeFileMatch[], progress?: IProgress<IProgressStep>): Promise<any>;
    openReplacePreview(element: FileMatchOrMatch, preserveFocus?: boolean, sideBySide?: boolean, pinned?: boolean): Promise<any>;
    updateReplacePreview(file: ISearchTreeFileMatch, override?: boolean): Promise<void>;
}
